Bug 475790

Summary: Compilation failure with /usr/include/linux/futex.h header
Product: Red Hat Enterprise Linux 5 Reporter: Nicolas Joly <njoly>
Component: kernelAssignee: Anton Arapov <anton>
Status: CLOSED ERRATA QA Contact: Red Hat Kernel QE team <kernel-qe>
Severity: medium Docs Contact:
Priority: low    
Version: 5.2CC: anton, dzickus, imatusov, nobody
Target Milestone: rc   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-09-02 04:53:11 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
proposed patch
none
proposed patch, against RHEL5 sources none

Description Nicolas Joly 2008-12-10 09:44:18 EST
Description of problem:
A C source code which include `/usr/include/linux/futex.h' header cannot compile anymore. This file has some kernel only definitions which are not correctly protected with __KERNEL__ #ifdef/#endif.

Version-Release number of selected component (if applicable):
kernel-headers-2.6.18-92.1.18.el5

How reproducible:
always

Steps to Reproduce:
1. Create C testcase file ...
[njoly@xx]~% cat >xx.c <<EOF
#include <linux/futex.h>
int main() { return 0; }
EOF
2. Try to compile it ...
[njoly@xx]~% cc xx.c   
3.
  
Actual results:
In file included from xx.c:1:
/usr/include/linux/futex.h:96: error: expected ')' before '*' token
/usr/include/linux/futex.h:100: error: expected ')' before '*' token

Expected results:
No error.

Additional info:
This is a regression, as it works under RHEL4.
Comment 1 Anton Arapov 2008-12-11 08:50:42 EST
Created attachment 326617 [details]
proposed patch
Comment 3 Anton Arapov 2008-12-11 09:05:39 EST
Created attachment 326618 [details]
proposed patch, against RHEL5 sources
Comment 5 Nicolas Joly 2008-12-12 12:14:51 EST
Works fine, Thanks.
Comment 6 RHEL Product and Program Management 2009-01-27 15:38:36 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 7 RHEL Product and Program Management 2009-02-16 10:43:23 EST
Updating PM score.
Comment 8 Don Zickus 2009-02-23 15:03:12 EST
in kernel-2.6.18-132.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.
Comment 11 errata-xmlrpc 2009-09-02 04:53:11 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1243.html